// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
	event.remove({output: 'refinedstorage:quartz_enriched_iron'})
	event.remove({output: 'refinedstorage:raw_basic_processor'})
	event.remove({output: 'refinedstorage:raw_improved_processor'})	
	event.remove({output: 'refinedstorage:raw_advanced_processor'})
	event.remove({output: 'refinedstorage:controller'})
	event.remove({output: 'refinedstorage:construction_core'})
	event.remove({output: 'refinedstorage:destruction_core'})


	event.smelting('refinedstorage:silicon', 'kubejs:limesand_powder').xp(0.5)
	event.shapeless('kubejs:spada_di_marco', 'minecraft:diamond_sword')


	event.recipes.create.mechanical_crafting('refinedstorage:controller',[
		' QQQ ',
		'QNNNQ',
		'QDADQ',
		'QNNNQ',
		' QQQ '],{
			Q:'refinedstorage:quartz_enriched_iron',
			N:'refinedstorage:silicon',
			D:'refinedstorage:machine_casing',
			A:'refinedstorage:advanced_processor'
		})

	
	event.recipes.create.mixing('4x refinedstorage:quartz_enriched_iron', [
		'minecraft:iron_ingot','minecraft:iron_ingot','minecraft:iron_ingot','minecraft:quartz',]).heated()

	event.recipes.create.mixing('refinedstorage:construction_core', [
		'refinedstorage:basic_processor','minecraft:glowstone_dust', 'minecraft:redstone']).heated()

	event.recipes.create.mixing('refinedstorage:destruction_core', [
		'refinedstorage:basic_processor','minecraft:quartz', 'minecraft:redstone']).heated()		



	event.recipes.create.crushing(['kubejs:limesand_powder',Item.of('2x kubejs:limesand_powder').withChance(0.6),Item.of('kubejs:limesand_powder').withChance(0.3)], 'create:limesand')


	event.recipes.create.compacting('refinedstorage:raw_basic_processor', [
		'minecraft:iron_ingot','refinedstorage:silicon','minecraft:redstone','refinedstorage:processor_binding',])
	event.recipes.create.compacting('refinedstorage:raw_improved_processor', [
		'minecraft:gold_ingot','refinedstorage:silicon','minecraft:redstone','refinedstorage:processor_binding',])
	event.recipes.create.compacting('refinedstorage:raw_advanced_processor', [
		'minecraft:diamond','refinedstorage:silicon','minecraft:redstone','refinedstorage:processor_binding',])
})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})